## Apache Zeta Components Manual :: Docs For Class ezcImageHandlerSettings

### ImageConversion::ezcImageHandlerSettings

### Class ezcImageHandlerSettings

Struct to store the settings for objects of ezcImageHandler.

This class is used as a struct for the settings of ezcImageHandler subclasses.

Source for this file: /ImageConversion/src/structs/handler_settings.php

    ezcBaseStruct
       |
       --ezcImageHandlerSettings

Version: | //autogentag//

### Member Variables

public string | `$className` Name of the class to instantiate as image handler. Note: This class must be a subclass of the ezcImageHandler class.

public array

`$options = array()`
Associative array of misc options for the handler.

These options will be read by the handler class and varies from handler to handler. Consult the handler class for the available settings.

The options array has the following structure:

1. array(
2. <optionName> => <optionValue>,
3. [<optionName> => <optionValue>,...]
4. )

public string | `$referenceName` The reference name for the handler. This name can be used when referencing the handler in certain operations in the converter class. e.g. 'GD' and 'ImageMagick'.

### Method Summary

public ezcImageHandlerSettings | `__construct( $referenceName , $className , [ $options = array()] )` Initialize settings to be used by image handler.

### Methods

#### __construct

ezcImageHandlerSettings __construct( string $referenceName , string $className , [ $options = array()] )

Initialize settings to be used by image handler.

The settings passed as parameter will be read by the converter to figure out which image handler to use and then passed to the image handler objects.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$referenceName` | string | The reference name for the handler, e.g. 'GD' or 'ImageMagick'
`$className` | string | The name of the handler class to instantiate, e.g. 'ezcImageGdHandler' or 'ezcImageImagemagickHandler'
`$options` | array | Associative array of settings for the handler.

Documentation generated by phpDocumentor 1.4.3